/* -----------------------------------------------------------	*/
/* ShadowVolume Tutorial										*/
/* -----------------------------------------------------------	*/
/* by n0rmAnfreAK												*/
/* visit www.normanfreak.de.vu for updates						*/
/*																*/
/* feel free to email me any critic and comments				*/
/* ------------------------------------------------------------ */

#ifndef edge_h
#define edge_h

#include <stdio.h>

/*
	each edge is defined by two points (pointA & pointB - store the index)
	and two adjacent faces given by any point on that face (faceApoint & faceBpoint - store the index)
*/
class Edge
{
public:
	int faceApoint, faceBpoint;
	int pointA, pointB;
	
	Edge();

	Edge(int face, int a, int b);
	
	bool equals(int a, int b);
	
	bool equals(Edge b);
	
	void print();
	
};

#endif edge_h
